> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rankraft.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# OpenAPI specification

> GET /v1/openapi.json

> [!NOTE]
>
> Public: no API key needed.

This API, described as OpenAPI 3.1. Import it into Postman, Insomnia or an OpenAPI client generator.

```bash cURL theme={"system"}
curl https://api.rankraft.ai/v1/openapi.json
```

```javascript JavaScript theme={"system"}
// npm install rankraft-js · https://www.npmjs.com/package/rankraft-js
import { RankRaft } from "rankraft-js";

const rr = new RankRaft(); // no key is sent for this call

const spec = await rr.openapi();
console.log(Object.keys(spec.paths));
```

```python Python theme={"system"}
# pip install rankraft-py · https://pypi.org/project/rankraft-py/
from rankraft import RankRaft

with RankRaft() as rr:  # no key is sent for this call
    spec = rr.openapi()
    print(list(spec["paths"]))
```

```json 200 theme={"system"}
{
  "openapi": "3.1.0",
  "info": {
    "title": "RankRaft AI API",
    "version": "1.0.0"
  },
  "paths": {
    "…": {}
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.